%define upstream_name Horde_SessionHandler
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.2.3
Release:     	%mkrel 2
Summary:    	Horde Authentication API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Support >= 2.0.0
Requires:	php-pear-Horde_Support < 3.0.0alpha1
BuildArch:  	noarch

%description
Horde_SessionHandler defines an API for implementing custom session
handlers for PHP.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_SessionHandler.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_SessionHandler.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_SessionHandler
fi

%files
%doc docs/Horde_SessionHandler/*
%{peardir}/*
%{xmldir}/Horde_SessionHandler.xml



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.2.3-2.mga4
+ Revision: 538517
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 2.2.3-1.mga4
+ Revision: 489864
- upgrade to vers. 2.2.3

* Wed Aug 14 2013 spuhler <spuhler> 2.2.1-1.mga4
+ Revision: 466621
- upgrade to ver 2.2.1

* Fri Jun 07 2013 spuhler <spuhler> 2.2.0-1.mga4
+ Revision: 438728
- upgrade to ver. 2.2.0
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 376622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 164698
- upgrade to 1.0.2
-Provides:      	php-pear-Horde_SessionHandler
  +Provides:      	php-pear-Horde_SessionHandler = %%{version}
- imported package php-pear-Horde_SessionHandler

